@echo off

echo System Information:
echo -------------------

for /f "usebackq tokens=*" %%a in (`ver`) do set OSVERSION=%%a

echo Operating System: %OS%
echo Operating System Version: %OSVERSION%

for /f "tokens=2 delims=:" %%a in ('systeminfo ^| findstr /c:"Total Physical Memory"') do set RAM=%%a

echo RAM: %RAM:~1%

for /f "tokens=2 delims==" %%a in ('wmic memorychip get speed /value') do set RAMSPEED=%%a

echo RAM Speed: %RAMSPEED% MHz

for /f "tokens=2 delims==" %%a in ('wmic os get caption /value') do set OSTITLE=%%a

echo Windows Edition: %OSTITLE%

for /f "skip=1 tokens=2 delims==" %%a in ('wmic cpu get name /value') do set CPU=%%a
for /f "skip=1 tokens=2 delims==" %%a in ('wmic cpu get numberofcores /value') do set CORES=%%a

echo CPU: %CPU%
echo Cores: %CORES%

for /f "skip=1 tokens=2 delims==" %%a in ('wmic path win32_VideoController get name /value') do set GPU=%%a

echo GPU: %GPU%

echo -------------------
pause >nul
